unit MyFrame;

{$mode ObjFPC}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, StdCtrls;

type

  TMyInfoEvent = procedure(Sender: TObject; Info:string) of object;

  { TMyFrame }

  TMyFrame = class(TFrame)
    Button1:  TButton;
    Memo1:    TMemo;
    procedure Button1Click(Sender: TObject);
  private
    FOnInfo:  TMyInfoEvent;
    procedure DoInfo(Sender: TObject; Info: string);
  public

  published
    property OnInfo: TMyInfoEvent read FOnInfo write FOnInfo;

  end;

implementation

{$R *.lfm}


{ TMyFrame }
procedure TMyFrame.Button1Click(Sender: TObject);
begin
  DoInfo(Sender, Memo1.Text);
end;

procedure TMyFrame.DoInfo(Sender:TObject; Info:string);
begin
  if Assigned(FOnInfo) then
    FOnInfo(Sender, Info);
end;

end.

