unit Unit1;

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, Forms, Controls, Graphics, Dialogs, ComCtrls, StdCtrls,
  ExtCtrls, MyFrame;

type

  { TForm1 }

  TForm1 = class(TForm)
    ComboBox1: TComboBox;
    ComboBox2: TComboBox;
    ComboBox3: TComboBox;
    PageControl1: TPageControl;
    Panel1: TPanel;
    Panel2: TPanel;
    TabSheet1: TTabSheet;
    TabSheet2: TTabSheet;
    procedure FormCreate(Sender: TObject);
  private
    MyFrame1: TMyFrame;
    MyFrame2: TMyFrame;
    //MyTmpA, MyTmpB: string;
    procedure ShowValuesA(Sender: TObject; Info:string);
    procedure ShowValuesB(Sender: TObject; Info:string);
  public

  end;

var
  Form1: TForm1;

implementation

{$R *.lfm}

{ TForm1 }
procedure TForm1.FormCreate(Sender: TObject);
begin
  //MyTmpA:= '';
  //MyTmpB:= '';
  if (not assigned(MyFrame1)) then
  begin
    MyFrame1 := TMyFrame.Create(Panel1);
    MyFrame1.Parent := Panel1;
    MyFrame1.OnInfo := @ShowValuesA;
  end;
  if (not assigned(MyFrame2)) then
  begin
    MyFrame2 := TMyFrame.Create(Panel2);
    MyFrame2.Parent := Panel2;
    MyFrame2.OnInfo := @ShowValuesB;
  end;
end;

procedure TForm1.ShowValuesA(Sender: TObject; Info: string);
begin
  //MyTmpA := Info;
  //MyFrame1.Memo1.Text := 'Text1: ' + MyTmpA + ' und Text2: ' + MyTmpB;
  MyFrame1.Memo1.Text := 'Text1: ' + ComboBox1.Text + ' und Text2: ' + ComboBox2.Text;
end;

procedure TForm1.ShowValuesB(Sender: TObject; Info: string);
begin
  //MyTmpB := Info;
  //MyFrame2.Memo1.Text := 'Text1: ' + MyTmpA + ' und Text2: ' + MyTmpB;
  MyFrame2.Memo1.Text := 'Text3: ' + ComboBox3.Text;
end;

end.

